Issue2228

classification
Title: [PATCH] Re-use "makeCompiledFilename" function where possible
Type: rfe Severity: minor
Components: Core Versions: Jython 2.7
Milestone: Jython 2.7.1
process
Status: pending Resolution: accepted
Dependencies: Superseder:
Assigned To: stefan.richthofer Nosy List: mbooth, stefan.richthofer, zyasoft
Priority: low Keywords: patch

Created on 2014-11-09.12:33:32 by mbooth, last changed 2017-01-20.04:11:26 by stefan.richthofer.

Files
File name Uploaded Description Edit Remove
reuse_makeCompiledFilename.patch mbooth, 2014-11-09.12:33:32
Messages
msg9196 (view) Author: Mat Booth (mbooth) Date: 2014-11-09.12:33:32
This is a minor enhancement to re-use the "makeCompiledFilename" function where possible.
msg9238 (view) Author: Jim Baker (zyasoft) Date: 2014-12-15.18:37:01
+1
msg11018 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-01-14.17:26:50
Given that this is an easy change I'd like to merge it for 2.7.1, getting this issue closed.
Mat, it would be ideal if you could sign the contributor agreement https://www.python.org/psf/contrib/contrib-form-jython/.
However since the code-change is really small I think we can already merge it without that.
msg11019 (view) Author: Mat Booth (mbooth) Date: 2017-01-14.17:57:25
Sure, I'm happy to sign the contrib agreement, thanks.
msg11030 (view) Author: Stefan Richthofer (stefan.richthofer) Date: 2017-01-20.04:11:26
Merged as part of github.com/jythontools/jython/commit/5f866e0086478b7762cb8c9910f3985ecf2249b5.

I extended the patch to all locations where a filename was changed to $py.class postfix manually.
History
Date User Action Args
2017-01-20 04:11:26stefan.richthofersetstatus: open -> pending
messages: + msg11030
2017-01-14 17:57:25mboothsetmessages: + msg11019
2017-01-14 17:26:51stefan.richthofersetnosy: + stefan.richthofer
messages: + msg11018
priority: low
assignee: stefan.richthofer
milestone: Jython 2.7.1
resolution: accepted
2014-12-15 18:37:01zyasoftsetnosy: + zyasoft
messages: + msg9238
2014-11-09 12:33:32mboothcreate